Skip to main content

Remove Users from Allowlist

Remove one or more users from the specified user's allowlist.

Before using this API, ensure that the allowlist service is enabled. For details, refer to the Allowlist Service Overview.

Request Method​

POST: https://data center domain/user/whitelist/remove.json

Signature Rule: All server API requests must be validated according to the signature rules. For details, see API Request Signature.

Rate Limit: 100 requests per second

Body Parameters​

The HTTP request body data format is application/x-www-form-urlencoded. The following HTTP form parameters are supported:

ParameterTypeRequiredDescription
userIdStringYesThe user ID.
whiteUserIdStringYesThe user ID(s) to be removed. Up to 20 users can be removed at a time.

Request Example​

POST /user/whitelist/remove.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

userId=7&whiteUserId=123&whiteUserId=1456

Response​

The HTTP response body contains a JSON object with the following structure:

Return ValueTypeDescription
codeNumberThe return code. 200 indicates success.

Response Example​

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":200}